%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define glib2_version 2.2.3
%define libbonobo_version 2.4.0
%define libxml2_version 2.5.11
%define libxslt_version 1.0.32
%define gconf2_version 2.4.0.1
%define gnome_vfs2_version 2.4.0
%define orbit2_version 2.8.1
%define esound_version 0.2.32

Summary: 	GNOME base library
Name: 		libgnome
Version: 	2.4.0
Release: 	1
URL: 		ftp://ftp.gnome.org
Source: 	%{name}-%{version}.tar.bz2

Patch0:		libgnome-2.4.0-aix.patch
Patch1:		libgnome-2.4.0-autotools.patch

License: 	LGPL
Group: 		System Environment/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

Requires:  glib2 >= %{glib2_version}
Requires:  libbonobo >= %{libbonobo_version}
Requires:  gnome-vfs2 >= %{gnome_vfs2_version}
Requires:  libxml2 >= %{libxml2_version}
Requires:  ORBit2 >= %{orbit2_version}
Requires:  libxslt >= %{libxslt_version}
## prereq for gconftool
PreReq:  GConf2 >= %{gconf2_version}

BuildRequires:	zlib-devel
BuildRequires:	esound-devel >= %{esound_version}
BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires:  libbonobo-devel >= %{libbonobo_version}
BuildRequires:  GConf2-devel >= %{gconf2_version}
BuildRequires:  gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires:  libxml2-devel >= %{libxml2_version}
BuildRequires:  ORBit2-devel >= %{orbit2_version}
BuildRequires:  libxslt-devel >= %{libxslt_version}

# Added to avoid the warning messages about utmp group, bug #24171
# fixme, just libzvt?
#PreReq:                utempter

%description

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome package includes
non-GUI-related libraries that are needed to run GNOME. The libgnomeui
package contains X11-dependent GNOME library features.


%package devel
Summary: 	Libraries and headers for libgnome
Group: 		Development/Libraries
Requires: 	%name = %{version}

#Conflicts: gnome-libs-devel < 1.4.1.2
Requires: zlib-devel
Requires: esound-devel
Requires: ORBit2-devel >= %{orbit2_version}
Requires: glib2-devel >= %{glib2_version}
Requires: libbonobo-devel >= %{libbonobo_version}
Requires: GConf2-devel >= %{gconf2_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libxslt-devel >= %{libxslt_version}

%description devel

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome-devel package
includes the libraries and include files that you will need to
use libgnome.

You should install the libgnome-devel package if you would like to
compile GNOME applications. You do not need to install libgnome-devel
if you just want to use the GNOME desktop environment.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/libgnome-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/libgnome-2.4.0-autotools.patch


%build
LDFLAGS="-L%{_libdir}" CPPFLAGS="-I%{_includedir}" PATH=%{_bindir}:$PATH \
./configure --prefix=%{_prefix} --disable-gtk-doc
G_CHARSET_ALIAS=%{_libdir}/charset.alias  make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# make links
cd %{buildroot}
for dir in lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%post
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
%{_bindir}/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/desktop_gnome_*.schemas > /dev/null

%files
%defattr(-,root,system)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_bindir}/*
%{_libdir}/lib*.a
/usr/lib/lib*.a
%{_libdir}/bonobo
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/sound
%{_datadir}/locale/*/LC_MESSAGES/libgnome-2.0.mo

%files devel
%defattr(-,root,system)

%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*
/usr/include/*
%{_datadir}/gtk-doc
